> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List worklists

GET https://{tenant_name}.benchling.com/api/v2-beta/worklists

List worklists. Individual items within a worklist are summarized.


Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/worklists/list-worklists

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `worklistType` (enum, optional) — The type of Worklist. All items within the worklist belong to this type.
  - Allowed values: `batch`, `bioentity`, `container`, `plate`
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

Returns a list of worklists. Items within the worklist are returned as summaries only.

- `nextToken` (string, optional)
- `worklists` (list of Worklist, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Worklist

A worklist and its items as summaries.

- `apiURL` (string, optional) — The canonical url of the Worklist in the API.
- `createdAt` (datetime, optional) — Date and time the worklist was created
- `creator` (WorklistCreator, optional) — UserSummary of the user who created the worklist
- `id` (string, optional) — ID of the worklist
- `modifiedAt` (datetime, optional) — Date and time the worklist was last modified
- `name` (string, optional) — Name of the worklist
- `type` (enum, optional) — The type of items a worklist contains.
  - Allowed values: `batch`, `bioentity`, `container`, `plate`
- `worklistItems` (list of WorklistItemSummary, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### WorklistCreator

UserSummary of the user who created the worklist

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorklistItemSummary

A summary of an item in a worklist.

- `id` (string, optional) — ID of the item
- `name` (string, optional) — Name of the item

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "worklists": [
    {
      "apiURL": "https://benchling.com/api/v2-Beta/worklists/wk_dnn2JtWq",
      "createdAt": {},
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "id": "string",
      "modifiedAt": {},
      "name": "string",
      "type": "batch",
      "worklistItems": [
        {
          "id": "string",
          "name": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/worklists"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/worklists?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```